Subject: Re: bug#64046: 30.0.50; Quoting in customize choice tags

From: Mauro Aranda <[email-masked]>
Date: Wed, 30 Aug 2023 12:29:47 -0300

Stephen Berman <[email-masked]> writes:

 > On Mon, 28 Aug 2023 11:33:09 +0200 Ola x Nilsson 
<[email-masked]> wrote:
 >
 >> I agree that quote substition should be done on the car of simple item
 >> definitions.  I have no opinion on susbstitute-command-keys vs
 >> substitute-quotes.  But I came to think about the TITLE argument,
 >> shouldn't quote substition be performed on it as well?
 >
 > I think you're right about that as well, since the title is simply a
 > display feature.  AFAIK it wouldn't make a noticeable difference for
 > existing uses of widget-choose in the Customize UI (in the Value menu
 > the title is simply "Choice" and in the State menu it's "Operation on
 > <option name>"), but it might be relevant for third party uses or future
 > uses in Emacs, as well as for ad-hoc uses of simple item definitions.
 > So applying substition to all uses of TITLE seems appropriate.  The
 > below patch does this, and also corrects my previous patch by excluding
 > substition from the cdr of simple item definitions.

What would be a real-life scenario where we need to use
substitute-command-keys on TITLE? I can't think of any.